Bug 441644 - Kernel AGP driver causes hibernation faiilure with nvidia-96xx
Kernel AGP driver causes hibernation faiilure with nvidia-96xx
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 06:11 EDT by Philip Ashmore
Modified: 2009-01-09 01:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-04-09 06:11:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
I'm using Fedora 8 and I want to hibernate.
Without nvidia-96xx-kmod and related RPMS it works fine.


Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8

How reproducible:
Always


Steps to Reproduce:
1. yum install kmod-nvidia-96xx
2. try to hibernate

Actual Results:
With nvidia-96xx-kmod (kmod-nvidia-96xx ?) the hibernate part seems no different than before, but when I try to resume the resume cycle seems to complete, the laptop display backlight comes on and then the caps-lock light stops responding to key presses.
The hard disk light indicates activity but nothing is displayed and even the laptop power-off button doesn't power the system down - holding it down for 5 seconds powers off the machine.



Expected Results:
Expected hibernation behavior

Additional info:
With the kernel command line option vga=791 in grub, the hibernate cycle doesn't complete - the machine doesn't seem to get to the saving ram to disk part - it just freezes.

I checked upstream with nvidia and found http://www.nvnews.net/vbulletin/showthread.php?t=58498

It gave me the hint to set NvAGP to "0" in xorg.conf - it worked, but as this turns off use of the AGP port, 3D animation was choppy.
I then tried Option NvAGP "1" and that worked too. Problem solved!
I haven't tried vga=791 again in case it breaks things.

So it looks like the problem lies with the Kernel's AGP drivers.
For what it's worth the kernel AGP driver seemed faster.
Also when the resume cycle completed, the "science" screensaver doesn't show the desktop background - I guess it wasn't saved - a minor quibble.
Comment 1 Philip Ashmore 2008-05-12 14:39:10 EDT
The reason why the kernels AGP is faster is because NvAGP wasn't enabled
    # cat /proc/driver/nvidia/agp/status
revealed that it was disabled.
Adding "agp=off" to the kernel boot parameter enables it - hibernate still works.
The science screen-saver still occasionally misbehaves.
Enabling compiz-fusion wreaks havoc on resume from suspend - it crashed KDE.
Comment 2 Bug Zapper 2008-11-26 05:26:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:21:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.